/**
 * @function _bud
 */
'use strict'

const pkg = require('../package.json')

/** @lends _bud */
function _bud (tmpl, params) {
  return {
    force: false,
    mode: '644',
    path: '___output_path__',
    tmpl: tmpl,
    data: {
      params: params,
      generator: 'coz',
      today: new Date().toLocaleDateString(),
      pkg: pkg
    }
  }
}

module.exports = _bud
